Package proton :: Class Receiver

[frames] | no frames]

# Class Receiver

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
         object --+   |
                  |   |
           Endpoint --+
                      |
                   Link --+
                          |
                         Receiver

A link over which messages are received.

Instance Methods

flow(self, n) Increases the credit issued to the remote sender by the specified number of messages. | source code

recv(self, limit) | source code

drain(self, n) | source code

draining(self) | source code

Inherited from `Link`: `__init__`, `advance`, `close`, `delivery`, `detach`, `drained`, `free`, `next`, `open` Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Link`: `wrap`

Class Variables
Inherited from `Link`: `RCV_FIRST`, `RCV_SECOND`, `SND_MIXED`, `SND_SETTLED`, `SND_UNSETTLED` Inherited from `Endpoint`: `LOCAL_ACTIVE`, `LOCAL_CLOSED`, `LOCAL_UNINIT`, `REMOTE_ACTIVE`, `REMOTE_CLOSED`, `REMOTE_UNINIT`

Properties

Inherited from `Link`: `available`, `connection`, `credit`, `current`, `drain_mode`, `is_receiver`, `is_sender`, `name`, `queued`, `rcv_settle_mode`, `remote_rcv_settle_mode`, `remote_snd_settle_mode`, `remote_source`, `remote_target`, `session`, `snd_settle_mode`, `source`, `state`, `target`, `unsettled`

Inherited from `Endpoint`: `handler`, `remote_condition`, `transport`

Inherited from `object`: `__class__`